Public Member Functions | Public Attributes | List of all members
clan::Trianglex< Type > Class Template Reference
clanCore Math

Triangles. More...

`#include <triangle_math.h>`

## Public Member Functions
| Trianglex ()
| Trianglex (const Trianglex< Type > &copy)
| Trianglex (const Vec2< Type > &point_p, const Vec2< Type > &point_q, const Vec2< Type > &point_r)
Attributes
bool | point_inside (const Vec2< Type > &point) const
| Return true if the point is inside the triangle. More...
Operators
Trianglex< Type > & | operator= (const Trianglex< Type > &copy)
| = operator. More...
bool | operator== (const Trianglex< Type > &triangle) const
| == operator. More...
bool | operator!= (const Trianglex< Type > &triangle) const
| != operator. More...

## Public Attributes
Vec2< Type > | p
| First triangle point. More...
Vec2< Type > | q
Vec2< Type > | r

## Detailed Description

### template<typename Type>
class clan::Trianglex< Type >

Triangles.

These triangle templates are defined for: int (Triangle), float (Trianglef), double (Triangled)

The documentation for this class was generated from the following file:

- triangle_math.h